Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  BricsCAD
  SSGET

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   SSGET (765 mal gelesen)
Theodor Schoenwald
Ehrenmitglied



Sehen Sie sich das Profil von Theodor Schoenwald an!   Senden Sie eine Private Message an Theodor Schoenwald  Schreiben Sie einen Gästebucheintrag für Theodor Schoenwald

Beiträge: 1672
Registriert: 16.04.2002

erstellt am: 24. Mrz. 2010 17:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

wenn ich die folgende Zeile verwende:
(setq ELEM (ssget '((0 . "*POLYLINE"))))

und ein Element anwähle das "keine" Polylinie oder LWPolylinie isr,
kommt in ACAD die Meldung: "1 wurde ausgefildert"
Bei den ICAD Produkten kommt keine Meldung, das Element wird einfach nicht angenommen.

Beide Methoden sind mir recht.

Wenn ich das Gleiche bei BricsCad mache, wird - wenn ich ein Elemnet einzeln anwähle -
das Element (auch wenn es keine P-Linie ist) angenommen.

Wer kennt diesen Fehler?

Gruß
Theodor

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

autocart
Mitglied
Technischer Redakteur


Sehen Sie sich das Profil von autocart an!   Senden Sie eine Private Message an autocart  Schreiben Sie einen Gästebucheintrag für autocart

Beiträge: 695
Registriert: 08.09.2003

erstellt am: 26. Mrz. 2010 21:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Theodor Schoenwald 10 Unities + Antwort hilfreich

Hallo Theodor!

Hab's bei BCAD 10.2.11 probiert und komme auf den selben Fehler.
(Wie von dir bereits angedeutet passiert dies nur beim Anklicken von einzelnen Elementen, nicht aber wenn man die Fenster-Methode verwendet.)

Hast du schon bei Bricsys reklamiert?

------------------
Gruß, Stephan
www.stbartl.at

"Every thing should be made as simple as possible but not simpler." - Albert Einstein

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Theodor Schoenwald
Ehrenmitglied



Sehen Sie sich das Profil von Theodor Schoenwald an!   Senden Sie eine Private Message an Theodor Schoenwald  Schreiben Sie einen Gästebucheintrag für Theodor Schoenwald

Beiträge: 1672
Registriert: 16.04.2002

erstellt am: 26. Mrz. 2010 21:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Stephan,

danke für das testen.
Wenn Deine Verbindung zu BricsCad gut ist, kannst Du den Fehler  BricsCad melden.

Sonst kann ich es auch machen.

Inzwischen habe die Sache gemeldet.

Viele Grüße
Theodor

[Diese Nachricht wurde von Theodor Schoenwald am 04. Apr. 2010 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

s.wickel
Mitglied
Bauingenieur Wasserwirtschaft


Sehen Sie sich das Profil von s.wickel an!   Senden Sie eine Private Message an s.wickel  Schreiben Sie einen Gästebucheintrag für s.wickel

Beiträge: 421
Registriert: 17.12.2001

Bricscad V7 - V11

erstellt am: 06. Apr. 2010 12:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Theodor Schoenwald 10 Unities + Antwort hilfreich

Hallo Theodor, hallo Stephan

ich habe den Fehler nicht nachvollziehen können (10.1.12).

Gruß, Stefan

[Diese Nachricht wurde von s.wickel am 06. Apr. 2010 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Theodor Schoenwald
Ehrenmitglied



Sehen Sie sich das Profil von Theodor Schoenwald an!   Senden Sie eine Private Message an Theodor Schoenwald  Schreiben Sie einen Gästebucheintrag für Theodor Schoenwald

Beiträge: 1672
Registriert: 16.04.2002

erstellt am: 06. Apr. 2010 12:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Stefan,

ich habe es gerade nochmals getestet.
Gezeichnet habe ich zwei Polylinien und eine Linie.
Beim folgenden Befehl habe ich die Elemente einzeln angewählt,
Das Ergebnis:

(ssget '((0 . "*POLYLINE")))
Objekte wählen:
Objekte im Satz: 1
Objekte wählen:
Objekte im Satz: 2
Objekte wählen:
Objekte im Satz: 3

Drei wurden angenommen.

Zum Vergleich Auswahl mit Fenster:
(ssget '((0 . "*POLYLINE")))
Objekte wählen:
Gegenüberliegende Ecke:
Objekte im Satz: 2

Da werden - wie es sein soll - zwei angenommen.

Bei LW-Ppolylinien sind die Ergebnisse gleich.

BricsCad-Version 10.2.14


Gruß

Theodor

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

s.wickel
Mitglied
Bauingenieur Wasserwirtschaft


Sehen Sie sich das Profil von s.wickel an!   Senden Sie eine Private Message an s.wickel  Schreiben Sie einen Gästebucheintrag für s.wickel

Beiträge: 421
Registriert: 17.12.2001

Bricscad V7 - V11

erstellt am: 14. Apr. 2010 13:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Theodor Schoenwald 10 Unities + Antwort hilfreich

Hallo Theodor,

sieh dir mal die neuste Liesmich von Bricscad an ( http://www.bricsys.de/common/releasenotes.jsp?p=Bcad&l=de_DE ) und such nach ssget. Vielleicht war da ja das Problem.

Gruß, Stefan

[Diese Nachricht wurde von s.wickel am 14. Apr. 2010 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Theodor Schoenwald
Ehrenmitglied



Sehen Sie sich das Profil von Theodor Schoenwald an!   Senden Sie eine Private Message an Theodor Schoenwald  Schreiben Sie einen Gästebucheintrag für Theodor Schoenwald

Beiträge: 1672
Registriert: 16.04.2002

erstellt am: 16. Apr. 2010 19:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Stefan,

Dein Hinweis zeigt die Lösung. Danke für den Hinweis.

Das habe ich getestet:
Wenn diese Variable
SELECTIONPREVIEW
auf 0 oder 1 gesetzt wird, funktioniert die SSGET-Auswahl, so wie sie sein soll.
Bei 2 oder 3 kann ich einzelne Elemente dazu wählen, auch wenn sie nicht dem Vorgabemuster entsprechen.

Ich könnte auf die Variable SELECTIONPREVIEW verzichten.
Wie ich gesehen habe gibt es sie auch in ACAD10.
ZWCAD hat sie nicht.

Gruß
Theodor Schönwald

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz